
 <script setup name="Menu">
//  import  user from "@/api/system/user";
//  import  archivesApi from "@/api/archivesApi/index";
import { ElMessage } from 'element-plus'
//  import  waterMeterApi from "@/api/waterMeterApi/index";
import  meterConstructionApi   from '@/api/workOrderManage/meterConstructionApi/index';
import setPostParams from "../../../utils/searchParams.js";
// import  billRecord from "@/api/financial/billRecord/index";
 const { proxy } = getCurrentInstance();
 
/**
 * 搜索相关
 */
const queryParams = ref({
    name: undefined,
},) 
 /** 搜索按钮操作 */
 function handleQuery() {
   getList({keywords:queryParams.value.name,page:1})
 }
 
 /** 重置按钮操作 */
 function resetQuery() {
   proxy.resetForm("queryRef");
   handleQuery();
 }

 /**
  *  Table表格权限数据列表相关
  */

const loading = ref(false);
const pageParam = ref({
    total:0,
    limit:0,
    page:0,
})
const tableData = ref([]);
let  tableHeader = ref({
        id: '序号',
        meterSn:"水表编号",
        userName:"所属用户",
        address: "施工地点",
        content: "施工内容",
        article: "施工携带",
        operatorUser: "负责人",
        workerUser: "施工人员",
        typeName: "施工类型",
        constructionTime: "施工日期",
        completionTime: "完成日期",
        comment: "备注",
   })
 /** 获取列表 */
 async function getList(val) {
      loading.value = true;
     let postParam = setPostParams(val)
      await meterConstructionApi().search(postParam).then((res) =>{
        tableData.value = res.data.list
        pageParam.value.total = res.data.total
        pageParam.value.limit = res.data.limit
        pageParam.value.page = res.data.page
    })
    loading.value = false;
 }
 
 /** 新增按钮操作 */
//  async function handleAdd() {
//    reset();
//    title.value = "新增停用工单";
//     open.value = true;
//  }
 /**
  *  新增/修改弹窗Form表单相关
  */
// const open = ref(false);
// const loading = ref(false);
// const title = ref("");

// const data = reactive({
// form:{},
// queryParams: {
//     name: undefined,
// },
// rules: {
//         userName: [{required: true, message: '请选择用户', trigger: 'blur'}],
//         meterSn: [{required: true, message: '请选择需要停用的水表编号', trigger: 'blur'}],
//         operatorUser: [{required: true, message: '请选择经办人', trigger: 'blur'}]
// },
// });
// const { queryParams, form, rules } = toRefs(data);

//获取账号列表选择
// const accountList = ref()
// const userList = ref()
// const getAllList = async() =>{
// // 获取用户档案列表
// let res1 = await archivesApi().search({limit: 10000, status: 1,page:1})
// if (res1.code == 200) {
// userList.value = res1.data.list
// }
// //获取账号列表
// let res2 = await user().search({limit: 10000, status: 1,page:1})
// if (res2.code == 200) {
//     accountList.value = res2.data.list
// }
//  }
//选择用户获取对应水表列表
// const meterSnList = ref()
// const changeUser = async (val) => {
//     form.value.meterSn=""
//     //选中用户显示用户信息
//     let user = userList.value.find((item) => item.id == val)
//     Object.keys(user).forEach((key) =>{
//         if(form.value.hasOwnProperty(key)){
//             form.value[key] = user[key]
//         }
//     })
//     //请求该用户名下水表
//     let res3 = await waterMeterApi().getByUser(val)
//     if (res3.code == 200) {
//         meterSnList.value = res3.data
//     }
// }
// //选中水表获取水表信息及欠费信息
// const changeWaterMeter = async (val) => {
// let res1 = await billRecord().getMeterArrearsAmount(val)
//     if (res1.code == 200) {
//         form.value.isArrearage = res1.data
//     }
//     let meter = meterSnList.value.find((item) => item.sn == val)
//     form.value.address = meter.address
//     form.value.modeCode = meter.modeCode
// }
// //根据经办人id添加经办人Name
// const changeOperatorUser = async (val) => {
//     accountList.value.forEach((item) =>{
//         if(item.id == val){
//             form.value.operatorUserName = item.nickName
//         }
//     })
//     console.log('45646',form.value);
// }
//  /** 提交按钮 */
//  function submitForm() {
//    proxy.$refs["formRef"].validate(valid => {
//      if (valid) {
//        if (form.value.id != undefined) {
//         meterConstructionApi().modify(form.value).then(res => {
//            proxy.$modal.msgSuccess("修改成功");
//            open.value = false;
//            getList();
//          }).catch(() =>{
//             open.value = false;
//             proxy.$modal.msgError("修改失败");
//          });
//        } else {
//         meterConstructionApi().create(form.value).then(res => {
//            proxy.$modal.msgSuccess("新增成功");
//            open.value = false;
//            getList();
//          }).catch(() =>{
//             open.value = false;
//             proxy.$modal.msgError("新增失败");
//          });
//        }
//      }
//    });
//  }

 /** 取消按钮 */
//  function cancel() {
//    open.value = false;
//    reset();
//  }

 /** 表单重置 */
//  function reset() {
//    form.value = {
//         classifyTxt: '',
//         classifyId: 0,
//         userAddress: "",
//         address: "",
//         userId: "",
//         userCode: "",
//         userPhone: "",
//         modeCode: "",
//         operatorUser: "",
//         operatorUserName: "",
//         idCard: "",
//         userName: "",
//         meterSn: "",
//         businessAddress: "",
//         arrearageAmount: "",
//         stopTime: "",
//         startTime: "",
//    };
//    proxy.resetForm("formRef");
//  }
  /**
  * 详情、执行相关
  */
const formDetail = ref()
const formDetailVisible = ref()
// const isExecute = ref(false)
const ToDetail = async(row) =>{
    let res = await meterConstructionApi().get(row.id)
    if(res.code == 200) {
        formDetail.value = res.data
    }
    formDetailVisible.value = true
    // if(val === 2){
    //     isExecute.value = true
    // }else{
    //     isExecute.value = false
    // } 
}
// 提交确认停用
// const stopAccountForm = async() =>{
//     let res = await meterConstructionApi().execute(formDetail.value.id,3)
//     if(res.code == 200){
//         ElMessage({message:'停用成功!',type:'success'})
//     }
//     formDetailVisible.value = false
//     getList()
// }
 getList();
//  getAllList()
 </script>
 <template>
    <div class="app-container">
       <el-form :model="queryParams" ref="queryRef" :inline="true">
          <el-form-item prop="name">
             <el-input
                v-model="queryParams.name"
                placeholder="请输入用户或水表编号查询"
                clearable
                style="width: 200px"
                @keyup.enter="handleQuery"
             />
          </el-form-item>
          <el-form-item>
             <el-button type="primary" icon="Search" @click="handleQuery">搜索</el-button>
             <el-button icon="Refresh" @click="resetQuery">重置</el-button>
          </el-form-item>
       </el-form>
 
       <!-- <el-row :gutter="10" class="mb8">
          <el-col :span="1.5">
             <el-button
                type="primary"
                plain
                icon="Plus"
                @click="handleAdd"
             >新增</el-button>
          </el-col>
       </el-row> -->
       <!--表格及分页-->
       <el-table v-loading="loading" :data="tableData">
          <el-table-column
            v-for="(item, key, index) of tableHeader"
            :prop="key.toString()"
            :label="item"
            :key="index"
            align="center"
          >
        </el-table-column>
          <el-table-column label="操作" width="180" align="center" class-name="small-padding fixed-width">
             <template #default="scope">
                <el-button @click="ToDetail(scope.row)"  link type="primary" icon="Document" title="详细信息">详情</el-button>
                <!-- <el-button v-if="(scope.row.executeType == 1) || (scope.row.executeType == 2)" @click="ToDetail(scope.row)"  link type="primary" icon="Document" title="详细信息">执行</el-button> -->
             </template>
          </el-table-column>
        </el-table>
        <pagination
          :total="pageParam.total"
          v-model:page="pageParam.page"
          v-model:limit="pageParam.limit"
          :page-sizes="[10,20,30]"
          @pagination="getList"
        />
       <!-- 添加或修改对话框 -->
       <!-- <el-dialog :title="title" v-model="open" append-to-body center>
            <el-form class="form-box" ref="formRef" :model="form" :rules="rules" label-width='auto'>
                    <el-form-item label="用户名称"  prop="userId">
                        <el-select v-model="form.userId" class="m-2" filterable placeholder="请选择开户人"
                                    @change="changeUser" >
                            <el-option
                                    v-for="(item,index) in userList"
                                    :key="item.id"
                                    :label="item.userName"
                                    :title="item.userName"
                                    :value="item.id"

                            />
                        </el-select>
                    </el-form-item>
                    <el-form-item label="用户类型"  prop="classifyTxt">
                        {{ form.classifyTxt }}
                    </el-form-item>
                    <el-form-item label="联系电话"  prop="userPhone">
                        {{ form.userPhone }}
                    </el-form-item>
                    <el-form-item label="身份证号码"  prop="idCard">
                        {{ form.idCard }}
                    </el-form-item>
                    <el-form-item label="用户地址"  prop="userAddress">
                        {{ form.userAddress }}
                    </el-form-item>
                    <el-form-item label="户号"  prop="userCode">
                        {{ form.userCode }}
                    </el-form-item>


                    <el-form-item label="停用水表"  prop="meterSn">
                        <el-select v-model="form.meterSn"  filterable
                                   placeholder="请输入或选择水表编号"  @change="changeWaterMeter">
                            <el-option
                                    v-for="item in meterSnList"
                                    :key="item.id"
                                    :label="item.sn"
                                    :title="item.sn"
                                    :value="item.sn"
                            />
                        </el-select>
                    </el-form-item>

                    <el-form-item label="水表型号"  prop="modeCode">
                        {{ form.modeCode }}
                    </el-form-item>
                    <el-form-item label="安装地址"  prop="address">
                        {{ form.address }}
                    </el-form-item>
                    <el-form-item label="欠费金额"  prop="isArrearage">
                        {{ form.isArrearage }}
                    </el-form-item>

                    <el-form-item label="经办人"  prop="operatorUser">
                        <el-select v-model="form.operatorUser" class="m-2" filterable
                                   placeholder="请选择经办人"  @change="changeOperatorUser">
                            <el-option
                                    v-for="item in accountList"
                                    :key="item.id"
                                    :label="item.nickName"
                                    :title="item.nickName"
                                    :value="item.id"
                            />
                        </el-select>
                    </el-form-item>

                </el-form>
          <template #footer>
             <div class="dialog-footer">
                <el-button type="primary" @click="submitForm">确 定</el-button>
                <el-button @click="cancel">取 消</el-button>
             </div>
          </template>
       </el-dialog>
        -->
       <el-dialog v-model="formDetailVisible" title="水表维修记录详情" style="width: 60vw;" center align-center >
                <div class="detail">
                    <div class="item">
                        <div>水表编号:</div>
                        <div>{{ formDetail.meterSn }}</div>
                    </div>
                    <div class="item">
                        <div>所属用户:</div>
                        <div>{{ formDetail.userName }}</div>
                    </div>
                    <div class="item">
                        <div>施工地点:</div>
                        <div>{{ formDetail.address }}</div>
                    </div>
                    <div class="item">
                        <div>施工内容:</div>
                        <div>{{ formDetail.content }}</div>
                    </div>
                    <div class="item">
                        <div>施工携带:</div>
                        <div>{{ formDetail.article }}</div>
                    </div>
                    <div class="item">
                        <div>负责人:</div>
                        <div>{{ formDetail.operatorUser }}</div>
                    </div>
                    <div class="item">
                        <div>施工人员:</div>
                        <div>{{ formDetail.workerUser }}</div>
                    </div>
                    <div class="item">
                        <div>施工日期:</div>
                        <div>{{ formDetail.constructionTime }}</div>
                    </div>
                    <div class="item">
                        <div>完成日期:</div>
                        <div>{{ formDetail.completionTime }}</div>
                    </div>
                    <div class="item">
                        <div>施工类型:</div>
                        <div>{{ formDetail.typeName }}</div>
                    </div>
                    <div class="item">
                        <div>备注:</div>
                        <div>{{ formDetail.comment }}</div>
                    </div>
                    <div class="item">
                        <div>状态:</div>
                        <div>{{ formDetail.status == 1?'正常':'停用' }}</div>
                    </div>
                    <div class="item">
                        <div>创建时间:</div>
                        <div>{{ formDetail.createTimeView }}</div>
                    </div>
                    
                    <div class="item">
                        <div>更新时间:</div>
                        <div>{{ formDetail.updateTimeView }}</div>
                    </div>
                </div>
            <template #footer>
                <el-button v-if="!isExecute" @click="formDetailVisible = false" style="width:10%">关闭</el-button>
                <!-- <div class="Execution-btn" v-if="isExecute">
                    <div>
                        <el-button v-if="formDetail.executeType==1" type="primary" size="large" @click="stopAccountForm">确认停用</el-button>
                    </div>
                </div> -->
            </template>
        </el-dialog>
    </div>
 </template>
 <style>
 .detail{
    display:flex;
    justify-content:center;
    width:100%;
    flex-wrap:wrap;
.item{
    margin-bottom: 15px;
    width:45%;
    font-size: 18px;
    display: flex;
    .title{
        color: #696969;
        margin-right: 10px;
    }
}
}
</style>
 